<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
        <variable
                name="viewModel"
                type="com.renseki.app.totandroid.ui.aboutme.AboutMeViewModel"/>
    </data>
    <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/img_profile_picture"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:scaleType="centerCrop"
                app:imageUrl="@{viewModel.modifiedMe.imageUrl}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toTopOf="@+id/tv_name"
                app:layout_constraintVertical_chainStyle="packed"/>

        <TextView
                android:id="@+id/tv_name"
                tools:text="Someone Like You"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:textSize="32sp"
                android:text="@{viewModel.modifiedMe.name}"
                app:layout_constraintTop_toBottomOf="@+id/img_profile_picture"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintBottom_toTopOf="@+id/tv_email"/>

        <TextView
                android:id="@+id/tv_email"
                tools:text="some.email@email.com"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="@{viewModel.modifiedMe.email}"
                app:layout_constraintTop_toBottomOf="@+id/tv_name"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintBottom_toTopOf="@+id/img_phone"/>

        <ImageView
                android:id="@+id/img_phone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginTop="8dp"
                app:srcCompat="@drawable/ic_local_phone_black_24dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/tv_phone"
                app:layout_constraintTop_toBottomOf="@+id/tv_email"
                app:layout_constraintBottom_toTopOf="@+id/tv_location"
                app:layout_constraintHorizontal_chainStyle="packed"/>

        <TextView
                android:id="@+id/tv_phone"
                tools:text="0812345678"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:text="@{viewModel.modifiedMe.phone}"
                app:layout_constraintTop_toTopOf="@+id/img_phone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/img_phone"
                app:layout_constraintBottom_toBottomOf="@+id/img_phone"/>

        <TextView
                android:id="@+id/tv_location"
                tools:text="Ngagel Jaya Tengah"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                app:layout_constraintTop_toBottomOf="@+id/img_phone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"/>
    </android.support.constraint.ConstraintLayout>
</layout>